#include<stdio.h>

int main()
{
    long long a, b, c;
    scanf("%lld %lld %lld", &a, &b, &c);


    long long tmpa = a, a0;
    while(tmpa != 0)
    {
        a0 = tmpa%10;
        tmpa /= 10;
    }

    long long tmpb = b, b0;
    while(tmpb != 0)
    {
        b0 = tmpb%10;
        tmpb /= 10;
    }

    long long tmpc = c, c0;
    while(tmpc != 0)
    {
        c0 = tmpc%10;
        tmpc /= 10;
    }

    long long niz[3];
    niz[0] = a0;
    niz[1] = b0;
    niz[2] = c0;
    for(int i = 0; i < 2; ++i)
        for(int j = i+1; j < 3; ++j)
            if(niz[i] < niz[j])
            {
                int temp = niz[i];
                niz[i] = niz[j];
                niz[j] = temp;
            }
    //////////////////////////////////////////////////

    if(niz[0] == niz[1] && niz[0] == niz[2])
    {
        long long pravi[3];
        pravi[0] = a;
        pravi[1] = b;
        pravi[2] = c;
        for(int i = 0; i < 2; ++i)
            for(int j = i+1; j < 3; ++j)
                if(pravi[i] < pravi[j])
                {
                    int temp1 = pravi[i];
                    pravi[i] = pravi[j];
                    pravi[j] = temp1;
                }
        for(int i = 0; i < 3; ++i)
            printf("%lld", pravi[i]);
    }
    else if(niz[0] == niz[1])
    {
        long long priv;
        if(a0 == niz[0]) priv = a;
        else if(b0 == niz[0]) priv = b;
        else if(c0 == niz[0]) priv = c;

        long long priv2;
        if(a0 == niz[1] && priv != a) priv2 = a;
        else if(b0 == niz[1] && priv != b) priv2 = b;
        else if(c0 == niz[1] && priv != c) priv2 = c;

        long long priv3;
        if(niz[2] == c0) priv3 = c;
        else if(niz[2] == b0) priv3 = b;
        else if(niz[2] == a0) priv3 = a;

        if(priv > priv2)
            printf("%lld%lld%lld", priv, priv2, priv3);
        else if(priv2 > priv) printf("%lld%lld%lld", priv2, priv, priv3);

    }
    else if(niz[1] == niz[2])
    {

        long long pr;
        if(a0 == niz[1]) pr = a;
        else if(b0 == niz[1]) pr = b;
        else if(c0 == niz[1]) pr = c;

        long long pr2;
        if(a0 == niz[2] && pr != a) pr2 = a;
        else if(b0 == niz[2] && pr != b) pr2 = b;
        else if(c0 == niz[2] && pr != c) pr2 = c;

        long long pr3;
        if(niz[0] == c0) pr3 = c;
        else if(niz[0] == b0) pr3 = b;
        else if(niz[0] == a0) pr3 = a;

        if(pr > pr2)
            printf("%lld%lld%lld", pr3, pr, pr2);
        else if(pr2 > pr)
            printf("%lld%lld%lld", pr3, pr3, pr);

    }
    else
        for(int i = 0; i < 3; ++i)
        {
            if(niz[i] == a0)
                printf("%lld", a);
            if(niz[i] == b0)
                printf("%lld", b);
            if(niz[i] == c0)
                printf("%lld", c);
        }
    return 0;
}